MascNamedEntitySampleStreamFactory (Apache OpenNLP :: Core :: Formats 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.formats.masc, class: MascNamedEntitySampleStreamFactory

Package opennlp.tools.formats.masc

# Class MascNamedEntitySampleStreamFactory

java.lang.Object
opennlp.tools.formats.AbstractSampleStreamFactory<opennlp.tools.namefind.NameSample,MascNamedEntitySampleStreamFactory.Parameters>
opennlp.tools.formats.masc.MascNamedEntitySampleStreamFactory

All Implemented Interfaces:
  `opennlp.tools.cmdline.ObjectStreamFactory<opennlp.tools.namefind.NameSample,MascNamedEntitySampleStreamFactory.Parameters>`, `Masc`

@Internal public class MascNamedEntitySampleStreamFactory extends AbstractSampleStreamFactory<opennlp.tools.namefind.NameSample,MascNamedEntitySampleStreamFactory.Parameters> implements Masc
Note: Do not use this class, internal use only!

See Also:
  - `NameSample`
  - `MascPOSSampleStream`

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `MascNamedEntitySampleStreamFactory.Parameters`

- ## Field Summary

  ### Fields inherited from interface opennlp.tools.formats.masc.Masc

  `MASC_FORMAT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `opennlp.tools.util.ObjectStream<opennlp.tools.namefind.NameSample>`
  `create(String[] args)`
  `static void`
  `registerFactory()`

  ### Methods inherited from class opennlp.tools.formats.AbstractSampleStreamFactory

  `getLang, getParameters`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### registerFactory

    public static void registerFactory()

  - ### create

    public opennlp.tools.util.ObjectStream<opennlp.tools.namefind.NameSample> create(String[] args)
    Specified by:
      `create` in interface `opennlp.tools.cmdline.ObjectStreamFactory<opennlp.tools.namefind.NameSample,MascNamedEntitySampleStreamFactory.Parameters>`